Chuyển đến nội dung
Diễn đàn CADViet
Học AutoCAD Online cùng CADViet

CuongXD7

Thành viên
  • Số lượng nội dung

    14
  • Đã tham gia

  • Lần ghé thăm cuối

Cộng đồng

-2 (hơi kém)

About CuongXD7

  • Cấp bậc
    biết zoom
  1. Tạo boundary cho đa giác hở

    File không chạy được anh ơi
  2. Lisp căn chỉnh text và Justify text

    Nhờ các anh giúp em với, em tìm trên diễn đàn rồi nhưng chưa tìm được bài viết lisp nào nói về cái jutify của TEXT cả.
  3. [Yêu cầu] Lisp kết hợp lệnh Array và Copy

    Ở cái dòng code màu cam đó anh, em không biết viết sao cho gọn hơn. Code chạy thì được rồi nhưng thuật toán còn rườm rà, em nhờ các anh sửa gọn lại dùm em chút xíu.
  4. [Yêu cầu] Lisp kết hợp lệnh Array và Copy

    Nhờ các bác tối ưu dùm em code này với, em là binh nhì nên còn non kém. ;; free lisp from cadviet.com ;;; Downloaded from https://www.cadviet.com/forum/topic/54624-yêu-cầu-lisp-kết-hợp-lệnh-array-và-copy/ (defun C:CA (/ dt p1 p2 sl s2 i ) (command "undo" "be") (setq osm (getvar "osmode")) (setq dt (ssget) p1 (getpoint "\nDiem goc: ") p2 (getpoint p1 "\nDiem den: ") sl (getint "\nSo lan: ") s2 (/ (distance p1 p2) sl) i 1 ) (setvar "osmode" 0) (repeat sl (command ".copy" dt "" p1 (polar p1 (angle p1 p2) s2 )) (Setq s2 (/ (distance p1 p2) sl)) (setq i (+ 1 i)) (setq s2 (* i s2)) );----------------------------------DONG HAM REPEAT (command "undo" "e") (setvar "osmode" 1023) (princ))
  5. Lisp căn chỉnh text và Justify text

    Gửi anh Duy, gửi các bác, - Ở các Lisp của anh Duy chỉ mới là canh lề thôi chứ chưa chỉnh thuộc tính Justify của Text bao gồm (Left, Right, Center, Middle Left, Midle Right, Middle center ...) - Nhhờ các anh chỉnh lại dùm em với.
  6. Lisp sửa giá trị của dim

    Cả 2 cái đều ok cả, đúng ý em rồi. ^^ Cảm ơn anh nhé.
  7. Lisp sửa giá trị của dim

    Dạ, emcảm ơn anh Hoành, - Tại em muốn tận dụng LISP để cho bớt thao tác đi một xíu - HIện tại em có sưu tầm một đoạn code của các anh trên diễn đàn nhưng không nhớ rõ của ai - Nhờ các anh hiệu chỉnh lại LISP dùm em với. - Em muốn thêm tiền tố số thứ tự tăng dần mỗi khi click dimension vào trước MTEXT để kiểm soát (tránh sai xót) (Defun c:cdt (/ ent poi) (while (and (setq ent (car (nentsel "\nChon DIMTEXT: "))) (eq (cdr (assoc 0 (entget ent))) "MTEXT") (Setq poi (getpoint "\nPick diem dat Mtext: " (cdr (assoc 10 (entget ent)))))) (entmake (subst (cons 10 poi) (assoc 10 (entget ent)) (entget ent)))) (princ)) Nhờ các anh giúp dùm em với.
  8. Hướng dẫn lập trình Lisp

    Cảm ơn anh nhiều nhé.
  9. Hướng dẫn lập trình Lisp

    Hic hic có ai giúp em với link die mất rồi. Em đang trang thủ dịp nghỉ tết để mò về LISP mà giờ ko download được nữa.
  10. Lisp sửa giá trị của dim

    Nhờ anh viết dùm em lisp với nội dung như ở dưới được không ạ. Click vào đối tượng dim => dim doi thanh mau vang+đánh stt vào trước dim và xuất ra TEXT (VD: em đang có dim ghi kích thước 2000 => click chuột dim chuyển thành 1-2000 (màu vàng) và xuất giá trị này ra text Mong được các anh giúp đỡ
  11. Chào cac anh, Nhờ anh viết dùm em lisp với nội dung như ở dưới được không ạ. Click vào đối tượng dim => dim doi thanh mau vang+đánh stt vào trước dim và xuất ra TEXT (VD: em đang có dim ghi kích thước 2000 => click chuột dim chuyển thành 1-2000 (màu vàng) và xuất giá trị này ra text Mong được cac anh giúp đỡ
  12. Chào anh,
    Nhờ anh viết dùm em lisp với nội dung như ở dưới được không ạ.

     Click vào đối tượng dim => dim doi thanh mau vang+đánh stt vào trước dim  và xuất ra TEXT

    (VD: em đang có dim ghi kích thước 2000 => click chuột dim chuyển thành 1-2000 (màu vàng) và xuất giá trị này ra text 

    Mong được anh  giúp đỡ

  13. Nhờ Sữa Lisp Thay Đổi Giá Trị Dim Nếu Thỏa Điều Kiện

    Nhờ các bác viết dùm cho Lisp với nội dung sau: Click vào đối dim => dim doi thanh mau vang+đanh stt vao dim do và xuat ra TEXT Mong được các bác giúp đỡ.
×